<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateRequiredDocumentFields extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('required_document_fields', function (Blueprint $table) {
            $table->id();
            $table->string('doc_id')->nullable();
            $table->string('field_type')->nullable();
            $table->string('field_name')->nullable();
            $table->integer('priority')->default(0);
            $table->string('del')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('required_document_fields');
    }
}
